package cn.com.tenlion.configcontent.pojo.vos.contentcommentlike;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCommentLikeVO
 * @Description: CBC内容管理评论点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:31:46
 * @Version: 3.0
 **/
@ApiModel
public class ContentCommentLikeVO {

    @ApiModelProperty(name = "contentCommentLikeId", value = "评论点赞ID")
    private String contentCommentLikeId;
    @ApiModelProperty(name = "contentCommentLikeUserName", value = "点赞人姓名")
    private String contentCommentLikeUserName;
    @ApiModelProperty(name = "contentCommentLikeUserIcon", value = "点赞人头像")
    private String contentCommentLikeUserIcon;
    @ApiModelProperty(name = "contentCommentId", value = "评论ID")
    @CheckEmptyAnnotation(name = "评论ID不能为空")
    private String contentCommentId;

    public String getContentCommentLikeId() {
        return contentCommentLikeId == null ? "" : contentCommentLikeId.trim();
    }

    public void setContentCommentLikeId(String contentCommentLikeId) {
        this.contentCommentLikeId = contentCommentLikeId;
    }

    public String getContentCommentLikeUserName() {
        return contentCommentLikeUserName == null ? "" : contentCommentLikeUserName.trim();
    }

    public void setContentCommentLikeUserName(String contentCommentLikeUserName) {
        this.contentCommentLikeUserName = contentCommentLikeUserName;
    }

    public String getContentCommentLikeUserIcon() {
        return contentCommentLikeUserIcon == null ? "" : contentCommentLikeUserIcon.trim();
    }

    public void setContentCommentLikeUserIcon(String contentCommentLikeUserIcon) {
        this.contentCommentLikeUserIcon = contentCommentLikeUserIcon;
    }

    public String getContentCommentId() {
        return contentCommentId == null ? "" : contentCommentId.trim();
    }

    public void setContentCommentId(String contentCommentId) {
        this.contentCommentId = contentCommentId;
    }


}
